Bug 486903 - Fedora 10 will not boot with an active LVM snapshot of the root volume
Fedora 10 will not boot with an active LVM snapshot of the root volume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 23:57 EST by Adrian Ponoran
Modified: 2009-12-18 03:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:00:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Ponoran 2009-02-22 23:57:58 EST
Description of problem:

Fedora 10 will not boot with an active LVM snapshot of the root volume. The boot message is:

"mount: error mounting /dev/root on /sysroot as ext3: Device or resource busy"

Version-Release number of selected component (if applicable):

# uname -a

2.6.27.15-170.2.24.fc10.i686 #1 SMP Wed Feb 11 23:58:12 EST 2009 i686 i686 i386 GNU/Linux

How reproducible:

Just create a snapshot of the root volume and reboot. It doesn't matter if the snapshot was mounted or not. 


Steps to Reproduce:
1. Create the snapshot, for example:

# lvcreate  --extents 32 --snapshot --name RootSnapshot /dev/VolGroup00/LogVol00

2. Reboot/restart the system with the snapshot active

3. It hangs with the above message.
  
Actual results:

System does not boot with message:

"mount: error mounting /dev/root on /sysroot as ext3: Device or resource busy"

Expected results:

The system to boot normally.

Additional info:
Comment 1 Adrian Ponoran 2009-02-23 00:00:38 EST
You can use a rescue/live CD to remove the spanshot (# lvremove ...) and than it boot normally.
Comment 2 Sukru TIKVES 2009-07-26 07:03:32 EDT
Similar thing happened in Fedora 11.

I decided to build a small "rollback" system (as in "Previous Versions" of Windows), so I added automated snapshot creation to /etc/rc.local

Anyways, my second boot failed, because of a corrupted Snapshot volume (which means my 1GB space was not enough).

Expected result is silently ignoring the volume. Since my kernel root parameter is root=/dev/mapper/Laptop-Root not root=/dev/mapper/Laptop-Snapshot!

The "solution" mentioned above is a "non-solution", but a temporary workaround. I could do this kind of snapshots with CentOS, so moving forward in releases should not disable features for no reason.
Comment 3 Bug Zapper 2009-11-18 06:12:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 03:00:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.